Package org.pushingpixels.substance.swingx

# Class SubstanceSwingxPlugin

java.lang.Object
org.pushingpixels.substance.swingx.SubstanceSwingxPlugin

All Implemented Interfaces:
  `org.pushingpixels.lafplugin.LafComponentPlugin`, `org.pushingpixels.lafplugin.LafPlugin`

public class SubstanceSwingxPlugin extends Object implements org.pushingpixels.lafplugin.LafComponentPlugin
Substance plugin for SwingX components.

## Field Summary

### Fields inherited from interface org.pushingpixels.lafplugin.LafComponentPlugin

`COMPONENT_TAG_PLUGIN_CLASS`

### Fields inherited from interface org.pushingpixels.lafplugin.LafPlugin

`TAG_MAIN`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceSwingxPlugin()`
Creates a plugin instance.

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getDefaults(Object mSkin)`
`void`
`initialize()`
`void`
`uninitialize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceSwingxPlugin

public SubstanceSwingxPlugin()
Creates a plugin instance.

## Method Details

### getDefaults

public Object[] getDefaults(Object mSkin)

Specified by:
  `getDefaults` in interface `org.pushingpixels.lafplugin.LafComponentPlugin`

### initialize

public void initialize()

Specified by:
  `initialize` in interface `org.pushingpixels.lafplugin.LafComponentPlugin`

### uninitialize

public void uninitialize()

Specified by:
  `uninitialize` in interface `org.pushingpixels.lafplugin.LafComponentPlugin`